Subject: Re: linux-next: Fixes tag needs some work in the v4l-dvb-next tree

From: Mauro Carvalho Chehab <[email-masked]>
Date: Sun, 23 May 2021 11:30:26 +0200

Em Sun, 23 May 2021 09:36:36 +0100
Sean Young <[email-masked]> escreveu:

> Hi Mauro,
> 
> On Sun, May 23, 2021 at 12:49:53PM +1000, Stephen Rothwell wrote:
> > Hi all,
> > 
> > In commit
> > 
> >   7c8a36e1fb30 ("media: rc: i2c: Fix an error message")
> > 
> > Fixes tag
> > 
> >   Fixes: acaa34bf06e9 ('media: rc: implement zilog transmitter")
> > 
> > has these problem(s):
> > 
> >   - Subject has leading but no trailing quotes
> >   - Subject does not match target commit subject
> >     Just use
> > 	git log -1 --format='Fixes: %h ("%s")'  
> 
> Now that we have media-staging, can the commit message be ammended?

If the patch didn't reach media_tree, yes, but this patch can't
be fixed anymore, as it is too old:

	commit acaa34bf06e963f0b9481a3c16bfd6867e2369a0
	Author:     Sean Young <[email-masked]>
	AuthorDate: Sat Oct 21 08:16:47 2017 -0400
	Commit:     Mauro Carvalho Chehab <[email-masked]>
	CommitDate: Thu Dec 14 09:58:20 2017 -0500

	    media: rc: implement zilog transmitter

We need to double-check why linux-next is detecting it as a new one.

-

Linux-next should be pulling media work from those tree branches:

- v4l-dvb-fixes/fixes, e. g.:
	git://linuxtv.org/media_tree.git fixes
- v4l-dvb/master, e. g.:
	git://linuxtv.org/media_tree.git master
- v4l-dvb-next/master, e. g.:
	git://linuxtv.org/mchehab/media-next.git master

In the past, I was using media-next (a.k.a. v4l-dvb-next at linux-next
nomenclature) to solve some special cases like when I need to deal with
patches that depends on other trees, or when I want to submit a separate
PR for some patches.

-

After the last merge window, I modified my workflow in order to:

1. be able of correcting problems on media patches, if pointed after
   being merged at linux-next;
2. keep picking patches during the merge window.

The change is simple: I'm now pushing non-fixes stuff initially at
media-next master branch. Outside the merge window, the contents of 
this branch is identical to the contents of the media stage tree:

	git://linuxtv.org/media_stage.git

But I'll freeze changes there at the end of -rc6.

A couple of days after media-stage is merged at linux-next
(via media-next/linux-next tree), if no issues, I merge the
patches back at media_tree.

If something gets wrong in the mean time, I simply rebase
media-stage, fixing the issue again and push it back to the
media-next/linux-next tree.

-

Now, I can't understand why this specific patch had a trouble
detected today, as it was this patch is already upstream:

	https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=acaa34bf06e9

Apparently since 4.15-rc1:

	$ git describe acaa34bf06e9
	v4.15-rc1-204-gacaa34bf06e9

Thanks,
Mauro